Creates a surface from a network of crossing curves. Note: All curves in one direction have to cross all curves in the other direction and cannot cross each other.
Rhino.AddNetworkSrfEx (arrUCurves, arrUContinuity, arrVCurves, arrVContinuity [, dblEdgeTolerance [, dblInteriorTolerance [, dblAngleTolerance]]])
arrUCurves |
Required. Array. The identifiers of the curve object, in the U direction, from which to create the surface. Note, the curves must be sorted and ordered. |
||||||||||
arrUContinuity |
Required. Array. Two values identifying continuity of the first and last U (edge) curve segment. The possible values are:
|
||||||||||
arrVCurves |
Required. Array. The identifiers of the curve object, in the V direction, from which to create the surface. Note, the curves must be sorted and ordered. |
||||||||||
arrVContinuity |
Required. Array. Two values identifying continuity of the first and last V (edge) curve segment. The possible values are:
|
||||||||||
dblEdgeTolerance |
Optional. Number. Sets the tolerance for the edge curves. The edges of the surface will be within this value from the edge curves. The default is 0.0. |
||||||||||
dblInteriorTolerance |
Optional. Number. Sets the tolerance for the interior curves. The interior of the curve's surface will be within this value. If the curves themselves are farther apart from each other than the tolerance values, the best guess is made at the surface. The default is 0.0. |
||||||||||
dblAngleTolerance |
Optional. Number. If the edge curves are surface edges, and you want the surface matching the adjacent surfaces with tangency or curvature continuity, this is the accuracy used to match the surface normals. The default is 0.0. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrUCurves, arrVCurves
arrUCurves = Rhino.GetObjects("Select curves in first direction", 4)
If IsArray(arrUCurves) Then
arrVCurves = Rhino.GetObjects("Select curves in second direction", 4)
If IsArray(arrVCurves) Then
Rhino.AddNetworkSrfEx arrUCurves, Array(1,1), arrVCurves, Array(1,1)
End If
End If